<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class AdditionalsResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        $lang = $request->header('Accept-Language', 'ar');
        return [
            'id' => $this->id,
            'name' => $this->name[$lang],
            'category_id' => $this->category_id,
            'image' => $this->image,
            'status' => $this->status,
        ];
    }
}
